权限设置bug

提问
3 90
热雪 2020-02-26 16:07:07
Posted 1 month, 1 week ago in 提问, viewed 90 times

环境 python3.7 django 2.X mac os pro版本1.1 ui版本3.9

和峰哥聊完以后 权限会设置了。但是发现一个问题

两个情况: 一 'dynamic': False

config 里设置了 'dynamic': False 以后权限控制正常,员工账号登陆对应菜单栏没有显示 但是管理员账号登陆 对应的菜单也不显示。 把管理员加进有权限的组后再试,依然不显示

二 'dynamic': True 管理员登陆正常,换员工账号登陆 报错如下

错误定位在

 File "<string>", line 94, in pre_process
  File "<string>", line 187, in get_menus
  File "/usr/local/lib/python3.7/site-packages/simpleui/templatetags/simpletags.py", line 188, in menus
    config = _import_reload(_get_config('DJANGO_SETTINGS_MODULE')).SIMPLEUI_CONFIG
  File "<string>", line 186, in _OOO00OO00OO0O0O00
UnboundLocalError: local variable '_O0O00O0O0OO00OO00' referenced before assignment

During handling of the above exception, another exception occurred:

我的配置:

SIMPLEUI_CONFIG = {
    'system_keep': False,
    'menu_display': ['客服系统', '运营系统', '数据魔方', '个人中心', '管理中心'],      # 开启排序和过滤功能, 不填此字段为默认排序和全部显示, 空列表[] 为全部不显示.
    'dynamic': False,    # 设置是否开启动态菜单, 默认为False. 如果开启, 则会在每次用户登陆时动态展示菜单内容
    'menus': [{
        'app': 'EngaDB',
        'name': '客服系统',
        'icon': 'fas fa-user-shield',
        'models': [{
            'name': '订单查询',
            'icon': 'fa fa-user',
            'url': '/kf_qOrder/'
        },{
            'name': '供应商查询',
            'icon': 'fa fa-user',
            'url': '/kf_qSupplier/'
        },{
            'name': '问题链接',
            'icon': 'fa fa-user',
            'url': 'EngaDB/bugyurls/'
        },{
            'name': '售后记录',
            'icon': 'fa fa-user',
            'url': 'EngaDB/kf_afterorders/'
        },{
            'name': '返现记录',
            'icon': 'fa fa-user',
            'url': 'EngaDB/fanxianjilu/'
        },{
            'name': '收入记录',
            'icon': 'fa fa-user',
            'url': 'EngaDB/shourujilu/'
        },{
            'name': '采购补发',
            'icon': 'fa fa-user',
            'url': 'EngaDB/bufa/'
        }
        ]
    }, {
        'name': '运营系统',
        'icon': 'fa fa-file',
        'codename': 'v_yunying',
        'models': [{
            'name': '文本处理',
            'url': 'https://sycm.taobao.com/custom/login.htm?_target=http://sycm.taobao.com/',
            'icon': 'far fa-surprise'
        }, {
            'name': '常用信息',
            'url': 'https://sycm.taobao.com/custom/login.htm?_target=http://sycm.taobao.com/',
            'icon': 'fab fa-github'
        }, {
            'name': '分词匹配',
            'url': 'https://sycm.taobao.com/custom/login.htm?_target=http://sycm.taobao.com/',
            'icon': 'fab fa-github'
        }, {
            'name': '运营记录',
            'url': 'EngaDB/yunyinglog/',
            'icon': 'fab fa-github',
            'codename': 'yunyinglog'
        }, {
            'name': '违规记录',
            'url': 'EngaDB/weiguici/',
            'icon': 'fab fa-github'
        },{
            'name': '问题链接',
            'icon': 'fa fa-user',
            'url': 'EngaDB/bugyurls/'
        }
        ]
    }, {
        'name': '数据魔方',
        'icon': 'fa fa-desktop',

    },{
        'name': '个人中心',
        'icon': 'fa fa-desktop',
        'models': [{
            'name': '出账记录',
            'url': 'EngaDB/nbill/',
            'icon': 'far fa-surprise'

        },{
            'name': '入账记录',
            'url': 'EngaDB/ruzhang/',
            'icon': 'far fa-surprise'
        },{
            'name': '工作备忘录',
            'url': 'EngaDB/remark/',
            'icon': 'far fa-surprise'
        }
        ]
    },{
        'name': '管理中心' ,
        'icon': 'fa fa-desktop',
        'models':  [{
            'name': '用户',
            'icon': 'fa fa-user',
            'url': 'auth/user/'
        },{
            'name': '分组',
            'icon': 'fa fa-user',
            'url': 'auth/group/'
        },
        {
            'name': '权限',
            'icon': 'fa fa-user',
            'url': 'auth/permission/'
        },{
                'name': '内容',
                'icon': 'fa fa-user',
                'url': 'contenttypes/contenttype/'
        },{
            'name': '拍单登记',
            'icon': 'fa fa-user',
            'url': 'EngaDB/ytpwd/'
        },{
            'name': '下单软件登记',
            'icon': 'fa fa-user',
            'url': 'EngaDB/otherpwd/'
        },{
            'name': '店铺登记',
            'icon': 'fa fa-user',
            'url': 'EngaDB/shop_name/'
        },{
            'name': '常用信息',
            'icon': 'fa fa-user',
            'url': 'EngaDB/otherinfo/'
        }
        ]
    }]

}

希望能有大佬看下啥问题,,,

3 Replies
  • Simple官方 (官方人员)
    20-02-27 12:53:36

    我用你同样的代码测试过,没有出现报错。建议把debug打开,看下错误的堆栈。

  • 热雪 (楼主)
    20-02-28 03:38:23

    @simplepro 不行啊老大,我换了干净的环境,只安装了Django 和 pro 按你之前给指点设置的。代码就是上面的,一样还是报错。。。真的找不到原因了!

  • Simple官方 (官方人员)
    20-03-02 17:06:55

    升级至1.2.1即可解决该问题。

已结贴,不支持回复。
如需讨论,请重新发帖
Simple社区
Welcome to the simple community

QQ交流群
提问
大家有任何使用上的问题可以在这里提出来。